
function Circle(radius, width, height, framesH, framesV, initX, initY, framesRelation) {
    //Atributes
    this.radius = radius;
    this.width = width;
    this.height = height;
    this.framesH = framesH;
    this.framesV = framesV;
    this.x = initX;
    this.y = initY;
    this.currentImgFrame = 0;
    this.currentFrameV = 0;
    this.ImgFramesPerFrame = framesRelation;
    //Inner variables
    this.framesCount = 0;
    //Resource loading
    this.isPlaying = false;
}
Circle.prototype.stopAnim = function() {
    //this.isPlaying = false;
};
Circle.prototype.playAnim = function() {
    //this.isPlaying = true;
};
Circle.prototype.requestAnim = function(animNum) {
    //if (animNum < this.framesV && animNum >= 0) {
    //    this.currentFrameV = animNum;
    //}
};
Circle.prototype.update = function() {
//    if (this.isPlaying) {
//        if (this.framesCount === this.ImgFramesPerFrame) {
//            this.currentImgFrame++;
//            if (this.currentImgFrame === this.framesH) {
//                this.currentImgFrame = 0;
//            }
//            this.framesCount = 0;
//        }
//        this.framesCount++;
//    }
};
Circle.prototype.draw = function(g) {
    //g.drawImage(this.img, this.width * this.currentImgFrame, this.currentFrameV * this.height, this.width, this.height, this.x, this.y, this.width, this.height);
    g.beginPath();
    g.arc(this.x, this.y, this.radius, 0, 2 * Math.PI);
    g.fillStyle = "blue";
    g.fill();
};